> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Delivery

> Rate a completed delivery.



## OpenAPI

````yaml /openapi.json post /api/v1/tasks/{task_id}/delivery/rate
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/tasks/{task_id}/delivery/rate:
    post:
      tags:
        - Deliveries
      summary: Rate Delivery
      description: Rate a completed delivery.
      operationId: rate_delivery_api_v1_tasks__task_id__delivery_rate_post
      parameters:
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RatingCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RatingCreate:
      properties:
        rating:
          type: integer
          maximum: 5
          minimum: 1
          title: Rating
        review:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Review
      type: object
      required:
        - rating
      title: RatingCreate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````